Scilab Function
Last update : 08/09/2006

comp - pré-interprétation ou "compilation" de fonctions Scilab

### Calling Sequence

  `comp(function)`

### Parameters

- `function` : une fonction non "compilée" (type 11)

### Description

`comp(function)` "compile" la fonction `function`. Les fonctions "compilées" et interprétées sont équivalentes mais les fonctions "compilées" sont plus rapides. Les fonctions fournies dans les librairies standard de Scilab sont "compilées".

La définition en line des fonction ainsi que la forme courte des fonctions `getf` et `deff` produisent des fonctions compilées. L'usage de la fonction comp est donc réservé a des usages très particuliers. Pour générer des fonction non compilées, il faut appeler les fonctions `getf` ou `deff` avec l'option `"n"`.

### See Also

`deff`, `getf`, `function`,